Bug 1417910 - Describe advanced fields of Remote EXecution job
Summary: Describe advanced fields of Remote EXecution job
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Managing Hosts
Version: 6.2.8
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 12:13 UTC by Pavel Moravec
Modified: 2019-09-26 16:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 10:00:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Moravec 2017-01-31 12:13:15 UTC
Document URL: (nowhere)


Section Number and Name: (nowhere so far)


Describe the issue: 
When invoking a job via REX, one can specify advanced fields like "Concurrency level" and "Life span". Setting these have nontrivial impact to the way how individual sub-tasks are managed/maintained/created. The few words hint in WebUI is insufficient to describe this.


Suggestions for improvement: 
Please provide bigger description of setting either value, what the default value is and what the default behaviour is. I do not insist on having it in our documentation, either way works well for me:

- in documentation (where is usage of REX described at all?)
- in WebUI (i.e. in pup-up help similar to "Explanation" link on "Type of query"; this might be the best, in case the description is short enough
- in KCS (that I can write down, based on input from devels)


Additional information:

Comment 1 Andrew Dahms 2017-09-06 01:06:15 UTC
Assigning to Sergei for review.

Sergei - the Host Configuration Guide already contains some text on this, but we can add some additional detail based on the description of 'Concurrency Level' and 'Time span' in the following -

https://www.theforeman.org/plugins/foreman_remote_execution/0.3/index.html

The updates need to be made to the 'Executing Jobs' section.

Comment 5 Sergei Petrosian 2017-09-07 10:00:37 UTC
The changes are now live on the customer portal. 

Thank you

Comment 6 Andrew Dahms 2018-01-15 01:21:07 UTC
Updating the component and doc type.


Note You need to log in before you can comment on or make changes to this bug.